package uz.mobiuz.mobiservice.dev.ui.global

import android.content.Context
import android.util.AttributeSet
import com.makeramen.roundedimageview.RoundedImageView


class SquareImageView(context: Context,atr:AttributeSet) : RoundedImageView(context,atr) {
    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec)
        val width = measuredWidth
        setMeasuredDimension(width, (width.toFloat() * 1.316489362).toInt())
    }
}